Skip to main content
Resource Center/Resource Pool/VM Instance Operations
POSTVM Instance OperationsSince 5.2.0SynchronousAuth Required

UploadFileToVm

UploadFileToVm

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vmInstanceUuidsListRequired

      The VM instances that the files are uploaded to.

    • fileContentStringRequired

      The file content which is encoded using Base64.

    • remotePathStringRequired

      The absolute path that the files are uploaded to. The path contains the file name.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/upload-file

/zstack/v1/upload-file

Operation ID

UploadFileToVm

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/upload-file' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vmInstanceUuids":["<vmInstanceUuids>"],"fileContent":"<fileContent>","remotePath":"<remotePath>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history